API Reference

Storefront

Storefront publishing, themes and custom domain.

10 endpoints· Auth: API Key
get/api/v1/store/integrations/storefront API Key

Get storefront

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/storefront" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
put/api/v1/store/integrations/storefront API Key

Update storefront

Request body

application/json
{
  "Description": "string",
  "CoverImage": "string",
  "Niche": "general",
  "BannerImage": "string",
  "ContactEmail": "string",
  "WhatsAppNumber": "string",
  "TelegramHandle": "string",
  "FacebookUrl": "string",
  "InstagramUrl": "string",
  "TwitterUrl": "string",
  "SeoTitle": "string",
  "SeoDescription": "string",
  "SeoKeywords": "string",
  "Faqs": "string",
  "Policies": "string",
  "CustomDomain": "string",
  "TemplateId": "00000000-0000-0000-0000-000000000000",
  "TemplateKey": "string",
  "ColorPresetId": "string",
  "ThemeColors.Primary": "string",
  "ThemeColors.Secondary": "string",
  "ThemeColors.Accent": "string",
  "ThemeColors.Background": "string",
  "ThemeColors.Surface": "string",
  "ThemeColors.Text": "string"
}
Description
string
CoverImage
string (binary)
Niche
StoreNiche
BannerImage
string (binary)
ContactEmail
string
WhatsAppNumber
string
TelegramHandle
string
FacebookUrl
string
InstagramUrl
string
TwitterUrl
string
SeoTitle
string
SeoDescription
string
SeoKeywords
string
Faqs
string
Policies
string
CustomDomain
string
TemplateId
string (uuid)
TemplateKey
string
ColorPresetId
string
ThemeColors.Primary
string
ThemeColors.Secondary
string
ThemeColors.Accent
string
ThemeColors.Background
string
ThemeColors.Surface
string
ThemeColors.Text
string

Responses

200Success
cURL
curl -X PUT "https://stagging-api.sendyiq.com/api/v1/store/integrations/storefront" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "Description": "string",
  "CoverImage": "string",
  "Niche": "general",
  "BannerImage": "string",
  "ContactEmail": "string",
  "WhatsAppNumber": "string",
  "TelegramHandle": "string",
  "FacebookUrl": "string",
  "InstagramUrl": "string",
  "TwitterUrl": "string",
  "SeoTitle": "string",
  "SeoDescription": "string",
  "SeoKeywords": "string",
  "Faqs": "string",
  "Policies": "string",
  "CustomDomain": "string",
  "TemplateId": "00000000-0000-0000-0000-000000000000",
  "TemplateKey": "string",
  "ColorPresetId": "string",
  "ThemeColors.Primary": "string",
  "ThemeColors.Secondary": "string",
  "ThemeColors.Accent": "string",
  "ThemeColors.Background": "string",
  "ThemeColors.Surface": "string",
  "ThemeColors.Text": "string"
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/storefront/domain/verify API Key

Create verify

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/storefront/domain/verify" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
delete/api/v1/store/integrations/storefront/images/{imageType} API Key

Delete imageType

Path parameters

imageTyperequired
string

Responses

200Success
cURL
curl -X DELETE "https://stagging-api.sendyiq.com/api/v1/store/integrations/storefront/images/{imageType}" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/storefront/publish API Key

Create publish

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/storefront/publish" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
delete/api/v1/store/integrations/storefront/publish API Key

Delete publish

Responses

200Success
cURL
curl -X DELETE "https://stagging-api.sendyiq.com/api/v1/store/integrations/storefront/publish" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
put/api/v1/store/integrations/storefront/sections API Key

Update sections

Request body

application/json
{
  "Sections": [
    {
      "key": "string",
      "isEnabled": false,
      "sortOrder": 0,
      "title": "string",
      "titleAr": "string",
      "subtitle": "string",
      "subtitleAr": "string",
      "image": "string",
      "ctaLabel": "string",
      "ctaLink": "string"
    }
  ]
}
Sections
StorefrontSectionItem[]

Responses

200Success
cURL
curl -X PUT "https://stagging-api.sendyiq.com/api/v1/store/integrations/storefront/sections" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "Sections": [
    {
      "key": "string",
      "isEnabled": false,
      "sortOrder": 0,
      "title": "string",
      "titleAr": "string",
      "subtitle": "string",
      "subtitleAr": "string",
      "image": "string",
      "ctaLabel": "string",
      "ctaLink": "string"
    }
  ]
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/store/integrations/storefront/template-entitlements API Key

Get template-entitlements

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/storefront/template-entitlements" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
get/api/v1/store/integrations/storefront/templates API Key

Get templates

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/storefront/templates" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
post/api/v1/store/integrations/storefront/templates/{templateId}/apply API Key

Create apply

Path parameters

templateIdrequired
string (uuid)

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/storefront/templates/{templateId}/apply" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu